﻿// SetPropertyDlg.cpp : 実装ファイル
//

#include "pch.h"
#include "Sample.h"
#include "afxdialogex.h"
#include "SetPropertyDlg.h"


// CSetPropertyDlg ダイアログ

IMPLEMENT_DYNAMIC(CSetPropertyDlg, CDialogEx)

CSetPropertyDlg::CSetPropertyDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_SET_DECODE_PROPERTY, pParent)
	, m_nSymbolCount(0)
	, m_nEffectLevel(3)
	, m_byBorder(0)
	, m_byModuleSize(1)
{
}

CSetPropertyDlg::~CSetPropertyDlg()
{
}

void CSetPropertyDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_SYMBOL_COUNT, m_nSymbolCount);
	DDV_MinMaxInt(pDX, m_nSymbolCount, 0, 32);
	DDX_CBIndex(pDX, IDC_EFFECT_LEVEL, m_nEffectLevel);
	DDX_Text(pDX, IDC_BORDER, m_byBorder);
	DDV_MinMaxInt(pDX, m_byBorder, 0, 255);
	DDX_Text(pDX, IDC_MODULE_SIZE, m_byModuleSize);
	DDV_MinMaxInt(pDX, m_byModuleSize, 1, 255);
}


BEGIN_MESSAGE_MAP(CSetPropertyDlg, CDialogEx)
END_MESSAGE_MAP()


// CSetPropertyDlg メッセージ ハンドラー


BOOL CSetPropertyDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// スピンコントロールの値範囲を設定
	((CSpinButtonCtrl*)GetDlgItem(IDC_SPIN_SYMBOL_COUNT))->SetRange(0, 32);
	((CSpinButtonCtrl*)GetDlgItem(IDC_SPIN_BORDER))->SetRange(0, 255);
	((CSpinButtonCtrl*)GetDlgItem(IDC_SPIN_MODULE_SIZE))->SetRange(1, 255);

	return TRUE;
}
