﻿#pragma once
#include "afxdialogex.h"


// CSetRectDlg ダイアログ

class CSetRectDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CSetRectDlg)

public:
	CSetRectDlg(CWnd* pParent = nullptr);   // 標準コンストラクター
	virtual ~CSetRectDlg();

// ダイアログ データ
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SET_DECODE_RECT };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	virtual BOOL OnInitDialog();

	afx_msg void OnEnableSetRect();
	afx_msg void OnDisableSetRect();

public:
	BOOL m_bEnableSetRect;
	int m_nRectLeft;
	int m_nRectTop;
	int m_nRectRight;
	int m_nRectBottom;

private:
	void EnableEditControl(BOOL bEnable = TRUE);

	DECLARE_MESSAGE_MAP()
};
