﻿
// SampleDlg.h : ヘッダー ファイル
//

#pragma once


// CSampleDlg ダイアログ
class CSampleDlg : public CDialogEx
{
// コンストラクション
public:
	CSampleDlg(CWnd* pParent = nullptr);	// 標準コンストラクター

// ダイアログ データ
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SAMPLE_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV サポート
	virtual BOOL OnInitDialog();


// 実装
protected:
	HICON m_hIcon;

	CMenu* m_pMenu;

	// デコード範囲指定
	int m_bEnableSetRect;
	int m_nRectLeft;
	int m_nRectTop;
	int m_nRectRight;
	int m_nRectBottom;

	// デコード条件設定
	int m_nSymbolCount;
	int m_nEffectLevel;
	BYTE m_byBorder;
	BYTE m_byModuleSize;

	// UTF-8優先フラグ
	BOOL m_bPrioritizeUTF8;

	// 生成された、メッセージ割り当て関数
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();

public:
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg void OnFileOpen();
	afx_msg void OnSetDecodeRect();
	afx_msg void OnSetDecodeProperty();

private:
	void DecodeFile(LPCTSTR lpszPathName);

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnPrioritizeUTF8();
};
